routes/web.php
<?php

use Illuminate\Support\Facades\Route;

Route::get("/clear",function(){
    Artisan::call("config:clear");
    Artisan::call("cache:clear");
    return 'Done';
});

Route::get('/',                    'Auth\LoginController@login');
Route::get('sign-up',              'Auth\LoginController@signUp');
Route::post('store-user',              'Auth\LoginController@store_user');
Route::post('checkAuthentication', 'Auth\LoginController@authenticate');
Route::get('logout',               'Auth\LoginController@logout');

Route::group(['middleware'=>['auth'],'namespace'=>'Permission'],function() {

    Route::get('/role-permission', 'RoleController@index')->name("role");
    Route::post('/role', 'RoleController@store');
    Route::get('/role/edit/{role_id}', 'RoleController@edit');
    Route::get('/role/delete/{role_id}', 'RoleController@delete');
    Route::get('/assign-permission/{role_id}', 'RoleController@assignPermission');
    Route::post('/assign-permission/{role_id}', 'RoleController@assignPermission');

    Route::get('/module', 'ModuleController@index')->name("module");
    Route::post('/module/add_parent', 'ModuleController@add_parent');
    Route::get('/module/get_subparent', 'ModuleController@get_subparent');
    Route::post('/module/add', 'ModuleController@add');
    Route::post('/module/control', 'ModuleController@control');
    Route::get('/module/edit/{id?}/{cat_id?}/{msg?}', 'ModuleController@edit');
    Route::post('/module/edit/{id?}/{cat_id?}/{msg?}', 'ModuleController@edit');
    Route::get('/module/delete/{id?}/{cat_id?}/{msg?}', 'ModuleController@delete');
    Route::post('/module/moduleUpdate/', 'ModuleController@moduleUpdate');
   
});

Route::group([ 'middleware' => 'checkAuthentication'], function(){

    Route::get('/dashboard',     'AdminController@index');
    Route::get('/userDashboard', 'AdminController@userDashboard');

    Route::prefix('/careers')->name('careers.')->group(function(){
        Route::get('/', 'CareerController@index')->name('index');
        Route::get('/create', 'CareerController@create')->name('create');
        Route::get('/circularDetails', 'CareerController@circularDetails')->name('circularDetails');
        Route::post('/store', 'CareerController@store')->name('store');
        Route::get('edit/{id}', 'CareerController@edit')->name('edit');
        Route::post('update/{id}', 'CareerController@update')->name('update');
        Route::get('destroy/{id}', 'CareerController@destroy')->name('destroy');
    });

/*---Role---*/
    Route::get('addRole',              'RoleController@createRole');
    Route::post('saveRole',            'RoleController@storeRole');
    Route::get('editRole/{role_id}',   'RoleController@editRole');
    Route::post('updateRole',          'RoleController@updateRole');
    Route::get('deleteRole/{role_id}', 'RoleController@deleteRole'); 


/*---Module---*/
    Route::get('addModule',              'ModuleController@createModule');
    Route::post('saveModule',            'ModuleController@storeModule');
    Route::get('editModule/{module_id}', 'ModuleController@editModule');
    Route::post('updateModule',          'ModuleController@updateModule');

/*---Role Permission---*/
    Route::get('addPermission',                    'RolePermissionController@createPermission');
    Route::get('managePermission',                 'RolePermissionController@managePermission');
    Route::post('savePermission',                  'RolePermissionController@storePermission');
    Route::get('editPermission/{permission_id}',   'RolePermissionController@editPermission');
    Route::post('updatePermission',                'RolePermissionController@updatePermission');
    Route::get('deletePermission/{permission_id}', 'RolePermissionController@deletePermission');
    Route::get('detailsPermission',                'RolePermissionController@viewDetailsPermission');


/*---User info---*/
    Route::get('manageUser',               'UserController@manageUser');
    Route::get('addUser',                  'UserController@createUser');
    Route::post('saveUser',                'UserController@storeUser');
    Route::get('doUserInactive/{user_id}', 'UserController@inactiveUser');
    Route::get('doUserActive/{user_id}',   'UserController@activeUser');
    Route::get('editProfile/{user_id}',    'UserController@editUser');
    Route::post('updateUser',              'UserController@updateUser');
    Route::get('changePassword/{user_id}', 'UserController@changeUserPassword');
    Route::post('updatePassword',          'UserController@updatePassword');

});

resources/views/admin/layout/default.blade.php
<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>@yield('title')</title>
        <!-- plugins:css -->
        <link rel="stylesheet" href="{{ asset('admin') }}/vendors/iconfonts/font-awesome/css/all.min.css">
        <link rel="stylesheet" href="{{ asset('admin') }}/vendors/css/vendor.bundle.base.css">
        <link rel="stylesheet" href="{{ asset('admin') }}/vendors/css/vendor.bundle.addons.css">
        <!-- endinject -->
        <link rel="stylesheet" href="{{ asset('admin') }}/css/style.css">
        <!-- endinject --> 
        <link rel="stylesheet" href="{{ asset('admin') }}/css/jquery-ui.css">

        {{-- Bootstrap live search --}}
        <link rel="stylesheet"href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.4/css/bootstrap-select.min.css" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.4/js/bootstrap-select.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.4/js/i18n/defaults-*.min.js"></script>
        
        <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    </head>
    <body>
        <div class="container-scroller">
            <!-- header -->
            @include('admin.layout.header')
            <!-- //header -->
            <div class="container-fluid page-body-wrapper">
                <!-- sidebar -->
                @include('admin.layout.sidebar')
                <!-- //sidebar -->
                <!-- main panel -->
                @yield('content')
                <!-- main-panel ends -->
            </div>
        </div>
        <!-- container-scroller -->
        <!-- jQuery  -->
        <!-- <script src="{{ asset('admin') }}/js/jquery.min.js"></script> -->
        <script src="{{ asset('admin') }}/js/bootstrap.min.js"></script>
        <!-- plugins:js -->
        <script src="{{ asset('admin') }}/vendors/js/vendor.bundle.base.js"></script>
        <script src="{{ asset('admin') }}/vendors/js/vendor.bundle.addons.js"></script>
        <!-- endinject -->
        <script src="{{ asset('admin') }}/js/off-canvas.js"></script>
        <script src="{{ asset('admin') }}/js/hoverable-collapse.js"></script>
        <script src="{{ asset('admin') }}/js/misc.js"></script>
        <script src="{{ asset('admin') }}/js/settings.js"></script>
        <script src="{{ asset('admin') }}/js/todolist.js"></script>
        <!-- endinject -->
        <!-- Custom js for this page-->
        <script src="{{ asset('admin') }}/js/dashboard.js"></script>
        <script src="{{ asset('admin') }}/js/data-table.js"></script>
        <script src="{{ asset('admin') }}/js/file-upload.js"></script>
        <script src="{{ asset('admin') }}/js/typeahead.js"></script>
        <script src="{{ asset('admin') }}/js/select2.js"></script>
        <script src="{{ asset('admin') }}/js/tabs.js"></script>
        <!-- End custom js for this page-->
    </body>
</html>

resources/views/admin/layout/header.blade.php
<nav class="navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row default-layout-navbar">
    <div class="text-center navbar-brand-wrapper d-flex align-items-center justify-content-center">
        <a class="navbar-brand brand-logo" href="#" ><span style="color: #fff !important;">JOB PORTAL</span></a>
        <a class="navbar-brand brand-logo-mini" href="#"><img src="{{ asset('admin') }}/images/minilogo.png" alt="logo"/></a>
    </div>
    
    <div class="navbar-menu-wrapper d-flex align-items-stretch">
        <button class="navbar-toggler navbar-toggler align-self-center" type="button" data-toggle="minimize">
            <span class="fas fa-bars"></span>
        </button>
        
        <ul class="navbar-nav navbar-nav-right">
            
            <li class="nav-item nav-profile dropdown">
                <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown" id="profileDropdown">
                  <div class="image-icon">
                    @php 
                      $userID = logged_in_user_id();
                      $user = DB::table('users')->where('id', $userID)->first();
                    @endphp
                    @if($user->image == NULL)
                      {{ Str::substr(logged_in_user_name(), 0,1 ) }}
                    @else
                      <img src="{{ asset($user->image) }}" alt="{{ logged_in_user_name() }}"/>
                    @endif
                  </div>
                </a>
                <div class="dropdown-menu dropdown-menu-right navbar-dropdown" aria-labelledby="profileDropdown">
                  <a class="dropdown-item" href="{{ url('editProfile/'.$userID) }}">
                    <i class="fas fa-cog text-primary"></i>
                    Profile
                  </a>

                  <a class="dropdown-item" href="{{ url('changePassword/'.$userID) }}">
                    <i class="fas fa-key text-primary"></i>
                    Change Password
                  </a>

                  <div class="dropdown-divider"></div>
                  <a href="{{ URL::to('logout') }}" class="dropdown-item">
                    <i class="fas fa-power-off text-primary"></i>
                    Logout
                  </a>
                </div>
            </li>
            
        </ul>
        
    </div>
</nav>

resources/views/admin/layout/sidebar.blade.php
<nav class="sidebar sidebar-offcanvas" id="sidebar">
    <ul class="nav">
        <li class="nav-item nav-profile">
            <div class="nav-link">
                <div class="profile-image">
                    @php 
                      $userID = logged_in_user_id();
                      $user = DB::table('users')->where('id', $userID)->first();
                    @endphp
                    @if($user->image == NULL)
                      {{ Str::substr(logged_in_user_name(), 0,1 ) }}
                    @else
                      <img src="{{ asset($user->image) }}" alt="{{ logged_in_user_name() }}"/>
                    @endif
                </div>
                <div class="profile-name">
                    <p class="name">Welcome</p>
                    <p class="designation">{{ logged_in_user_name() }}</p>
                </div>
            </div>
        </li>

        <li class="nav-item">
            <a class="nav-link" href="{{ url('/') }}">
                <i class="fa fa-home menu-icon"></i>
                <span class="menu-title">Dashboard</span>
            </a>
        </li> 

        @if (hasActive("career") &&hasPermission("career", VIEW))
            <li class="nav-item">
                <a class="nav-link" data-toggle="collapse" href="#career-layouts" aria-expanded="false" aria-controls="career-layouts">
                    <i class="fa fa-users menu-icon" aria-hidden="true"></i>
                    <span class="menu-title">Manage Career</span>
                    <i class="menu-arrow"></i>
                </a>
                <div class="collapse" id="career-layouts">
                    <ul class="nav flex-column sub-menu">
                        @if(hasPermission("career", ADD))
                            <li class="nav-item d-none d-lg-block"> <a class="nav-link" href="{{ route('careers.create') }}">Add New</a></li>
                        @endif
                        <li class="nav-item d-none d-lg-block"> <a class="nav-link" href="{{ route('careers.index') }}">View List</a></li>
                    </ul>
                </div>
            </li>
        @endif

        @if(is_super_admin())
            <li class="nav-item">
                <a class="nav-link" data-toggle="collapse" href="#Administrator-layouts" aria-expanded="false" aria-controls="Administrator-layouts">
                    <i class="fa fa-users menu-icon" aria-hidden="true"></i>
                    <span class="menu-title">Administrator</span>
                    <i class="menu-arrow"></i>
                </a>
                <div class="collapse" id="Administrator-layouts">
                    <ul class="nav flex-column sub-menu">
                        <li class="nav-item d-none d-lg-block"> <a class="nav-link" href="{{ url('manageUser') }}">Manage User</a></li>
                        <!--<li class="nav-item d-none d-lg-block"> <a class="nav-link" href="{{ url('module') }}">Module</a></li>-->
                        <li class="nav-item d-none d-lg-block"> <a class="nav-link" href="{{ url('role-permission') }}">Role Permission</a></li>
                    </ul>
                </div>
            </li>
        @endif

    </ul>
</nav>